#!/bin/sh
# simple wrapper script to do batch runs ...e.g.,
#     /users/rlr/RePast/Demos-3/heatBugs2/bin/batchrun.sh nB=100 T=400
# this is primarily intended to use be used as the programName in
# drone control files.  See
#    /users/rlr/RePast/Demos-3/heatBugs2/Readme.txt
#

# the parameters below will most likely need to be changed
# model specific things
PROJECTDIR=/users/phesi/Belief_2008_03_15
PACKAGENAME=Belief2
BATCHMODELNAME=BatchModel

# add extra user libraries that should be included here
USERDEFINEDLIBS=/appl/java/commons-math-1.0/commons-math-1.0.jar

########################################################################
########################################################################
# PROBABLY NO CHANGES BELOW THIS

# the params below should be changed when versions of java
# and different libraries are upgraded so they point to the
# correct paths of java and libraries

# java path -- linux or mac
case $(uname) in
   Darwin)
      JAVADIR="/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home"
      ;;
   Linux)
      JAVADIR=/appl/jdk3d1.5.0
      ;;
   *)
      JAVADIR=/appl/jdk3d1.5.0
      ;;
esac 


# library paths
REPASTLIBDIR=/appl/repast/repast3.0/repastj
CSCSLIBDIR=/appl/java/CSCS
VISADLIBDIR=/appl/java/visad2.0
COMMONSDIR=/appl/java/commons-collections-2.1
JUNGDIR=/appl/java/jung1.1.1

# the actual run command
$JAVADIR/bin/java -Djava.awt.headless=true -cp $USERDEFINEDLIBS:$PROJECTDIR/classes/:$REPASTLIBDIR/repastj.jar:$REPASTLIBDIR/lib/colt.jar:$REPASTLIBDIR/lib/jgl3.1.0.jar:$REPASTLIBDIR/lib/plot.jar:$REPASTLIBDIR/lib/trove.jar:$CSCSLIBDIR/graph3d.jar:$VISADLIBDIR/visad.jar:$COMMONSDIR/commons-collections.jar:$JUNGDIR/jung-1.1.1.jar $PACKAGENAME.$BATCHMODELNAME $*
