#!/bin/sh
# simple wrapper script to compile the program
# You can include parameters to the javac on the run line, eg
#    bin/compile.sh -Xlint:unchecked

# the parameters below will most likely need to be changed
# model specific things
# This first is the path to the location of all the parts of the project,
# eg, where the src/  classes/ bin/ dirs are located.
PROJECTDIR=/users/phesi/Belief_2008_03_15
PACKAGENAME=Belief2
SOURCELOCATION=${PROJECTDIR}/src/${PACKAGENAME}

# add extra user libraries that should be included here
USERDEFINEDLIBS=/appl/java/commons-math-1.0/commons-math-1.0.jar

########################################################################
########################################################################
# PROBABLY NO CHANGES BELOW THIS

# the params below should be changed when versions of java
# and different libraries are upgraded so they point to the
# correct paths of java and libraries

# java path -- linux or mac
case $(uname) in
   Darwin)
      JAVADIR="/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home"
      ;;
   Linux)
      JAVADIR=/appl/jdk3d1.5.0
      ;;
   *)
      JAVADIR=/appl/jdk3d1.5.0
      ;;
esac 

# library paths
REPASTLIBDIR=/appl/repast/repast3.0/repastj
CSCSLIBDIR=/appl/java/CSCS
VISADLIBDIR=/appl/java/visad2.0
COMMONSDIR=/appl/java/commons-collections-2.1
JUNGDIR=/appl/java/jung1.1.1

if [ "$1" = "-h" ]
then
	echo " "
	echo "Compile the java sources for this project/package '${PACKAGENAME}'"
	echo "Sources in '${SOURCELOCATION}'"
	echo "Usage:   $0 [options]"
	echo "where options can be any javac options, e.g.:"
	echo "   $0 -Xlint:unchecked"
	echo " "
	exit
fi

if [ -n $1 ] 
then
	javaPars=$1
else
	javaPars=""
fi


# the actual compile command
$JAVADIR/bin/javac ${javaPars}  -d ${PROJECTDIR}/classes/  -cp $USERDEFINEDLIBS:$PROJECTDIR/classes:$REPASTLIBDIR/repastj.jar:$REPASTLIBDIR/lib/colt.jar:$REPASTLIBDIR/lib/jgl3.1.0.jar:$REPASTLIBDIR/lib/plot.jar:$REPASTLIBDIR/lib/trove.jar:$CSCSLIBDIR/graph3d.jar:$VISADLIBDIR/visad.jar:$COMMONSDIR/commons-collections.jar:$JUNGDIR/jung-1.1.1.jar ${SOURCELOCATION}/*.java
