#!/bin/sh
# simple wrapper script to do gui runs ...e.g.,
#     bin/guirun.sh D=3  
# the parameters below will most likely need to be changed
# model specific things

PROJECTDIR=/users/phesi/Belief_2008_03_15
PACKAGENAME=Belief2
GUIMODELNAME=GUIModel

# add extra user libraries that should be included here
USERDEFINEDLIBS=/appl/java/commons-math-1.0/commons-math-1.0.jar

# add a run time parameter to java here
JAVAPAR=

########################################################################
########################################################################
# PROBABLY NO CHANGES BELOW THIS

# the params below should be changed when versions of java
# and different libraries are upgraded so they point to the
# correct paths of java and libraries

# java path -- linux or mac
case $(uname) in
   Darwin)
      JAVADIR="/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home"
      ;;
   Linux)
      JAVADIR=/appl/jdk3d1.5.0
      ;;
   *)
      JAVADIR=/appl/jdk3d1.5.0
      ;;
esac 

# library paths
REPASTLIBDIR=/appl/repast/repast3.0/repastj
CSCSLIBDIR=/appl/java/CSCS
VISADLIBDIR=/appl/java/visad2.0
COMMONSDIR=/appl/java/commons-collections-2.1
JUNGDIR=/appl/java/jung1.1.1

# the actual run command
$JAVADIR/bin/java $JAVAPAR -cp $USERDEFINEDLIBS:$PROJECTDIR/classes/:$REPASTLIBDIR/repastj.jar:$REPASTLIBDIR/lib/colt.jar:$REPASTLIBDIR/lib/jgl3.1.0.jar:$REPASTLIBDIR/lib/plot.jar:$REPASTLIBDIR/lib/trove.jar:$CSCSLIBDIR/graph3d.jar:$VISADLIBDIR/visad.jar:$COMMONSDIR/commons-collections.jar:$JUNGDIR/jung-1.1.1.jar $PACKAGENAME.$GUIMODELNAME $*
